For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate a new task
      • DELDelete task
      • GETList of tasks
      • POSTReview a single task
      • POSTReview multiple tasks
      • PATCHUpdate Task By ID
LogoLogo
SupportDeel Home
EndpointsTasks

Create a new task

POST
/contracts/:contract_id/tasks
POST
/rest/v2/contracts/:contract_id/tasks
$curl -X POST https://api.letsdeel.com/rest/v2/contracts/37nex2x/tasks \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "amount": "1500.00",
> "description": "Completion of Q1 project tasks",
> "date_submitted": "2024-11-01"
> }
>}'
1{
2 "data": {
3 "id": "00000000-0000-0000-0000-000000000000",
4 "status": "pending",
5 "created": true
6 }
7}

Creates a new task for the contractor associated with the specified contract. A task can include an amount, description, and submission date. Token scopes: contracts:write

Was this page helpful?
Previous

Delete task

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique Deel contract ID associated with the task.

Request

This endpoint expects an object.
dataobjectOptional

Response

The task was successfully created.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication